io.vertx.reactivex.ext.web.handler.graphql

## Class GraphiQLHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.graphql.GraphiQLHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class GraphiQLHandler
      extends Object
      implements Handler<RoutingContext>

  A handler for GraphiQL resources.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphiQLHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphiQLHandler(GraphiQLHandler delegate)`
    `GraphiQLHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphiQLHandlerBuilder` | `builder(Vertx vertx)` Create a new `GraphiQLHandlerBuilder` with default `GraphiQLHandlerOptions`.
    `static GraphiQLHandler` | `create()` Deprecated.
    `static GraphiQLHandler` | `create(GraphiQLHandlerOptions options)` Deprecated.
    `static GraphiQLHandler` | `create(Vertx vertx)` Create a new `GraphiQLHandler`.
    `static GraphiQLHandler` | `create(Vertx vertx, GraphiQLHandlerOptions options)` Create a new `GraphiQLHandler`.
    `boolean` | `equals(Object o)`
    `GraphiQLHandler` | `getDelegate()`
    `GraphiQLHandler` | `graphiQLRequestHeaders(java.util.function.Function<RoutingContext,MultiMap> factory)` Deprecated.
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static GraphiQLHandler` | `newInstance(GraphiQLHandler arg)`
    `Router` | `router()` Creates a router configured to serve GraphiQL resources.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphiQLHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphiQLHandler

          public GraphiQLHandler(GraphiQLHandler delegate)

    - #### GraphiQLHandler

          public GraphiQLHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphiQLHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### builder

          public static GraphiQLHandlerBuilder builder(Vertx vertx)

      Create a new `GraphiQLHandlerBuilder` with default `GraphiQLHandlerOptions`.
      Parameters:
        `vertx` -
      Returns:

    - #### create

          public static GraphiQLHandler create(Vertx vertx)

      Create a new `GraphiQLHandler`.

      The handler will be configured with default `GraphiQLHandlerOptions`.

      Parameters:
        `vertx` -
      Returns:

    - #### create

          @Deprecated
          public static GraphiQLHandler create()

      Deprecated.
      Create a new `GraphiQLHandler`.

      The handler will be configured with default `GraphiQLHandlerOptions`.

      Returns:

    - #### create

          public static GraphiQLHandler create(Vertx vertx,
                                               GraphiQLHandlerOptions options)

      Create a new `GraphiQLHandler`.

      The handler will be configured with the given `options`.

      Parameters:
        `vertx` -
        `options` - options for configuring the `GraphiQLHandler`
      Returns:

    - #### create

          @Deprecated
          public static GraphiQLHandler create(GraphiQLHandlerOptions options)

      Deprecated.
      Create a new `GraphiQLHandler`.

      The handler will be configured with the given `options`.

      Parameters:
        `options` - options for configuring the `GraphiQLHandler`
      Returns:

    - #### router

          public Router router()

      Creates a router configured to serve GraphiQL resources.
      Returns:
        a router to be mounted on an existing `Route`

    - #### graphiQLRequestHeaders

          @Deprecated
          public GraphiQLHandler graphiQLRequestHeaders(java.util.function.Function<RoutingContext,MultiMap> factory)

      Deprecated.
      Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface. The result will be applied on top of the fixed set of headers specified in `GraphiQLHandlerOptions`.

      This can be useful if, for example, the server is protected by authentication.

      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static GraphiQLHandler newInstance(GraphiQLHandler arg)

Copyright © 2024 Eclipse. All rights reserved.